<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <!-- <div class="cont-login"
                *ngIf="searchedData &&
                (
                  (searchedData.nearByJobs && searchedData.nearByJobs.results.length) ||
                  (searchedData.outSideJobs && searchedData.outSideJobs.results.length)
                );
                else noSearchDataFound"
              > -->
              <div class="cont-login">
                  <!-- Loop through Jobs Got from searchedData -->
                  <p class="fs16 fw600 mb-2">Nearby Jobs</p>
                  <div class="nearby job-sections col-md-12 p-0" *ngIf="searchedData && searchedData.nearByJobs && searchedData.nearByJobs.results.length; else noNearbySearchDataFound">
                    <div class="shadow-box" *ngFor="let job of searchedData.nearByJobs.results">
                        <div class="acrdn-cont-inr">
                            <div class="row">
                                <div class="col-6">
                                    <p>
                                        <strong>Job Role</strong>
                                        <span>{{job.jobDetails.roleWiseAction.roleName | titlecase}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Job Type</strong>
                                        <span>{{job.jobDetails.roleWiseAction.jobType | titlecase}}</span>
                                    </p>
                                </div>
                                <div class="col-12">
                                    <p>
                                        <strong>Location</strong>
                                        <!-- <span *ngIf="job.formattedAddress">{{job.formattedAddress}}</span> -->
                                        <span>{{job.jobDetails.roleWiseAction.locationName}}</span>
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="emp-candi-btnset"> 
                            <!-- applied -->
                            <a href="javascript:void(0)" (click)="stricktoApply(job)" class="btn border" *ngIf="!job.applied; else alreadyApplied">Apply</a>
                            <ng-template #alreadyApplied>
                                <a href="javascript:void(0)" class="btn border">Applied</a>
                            </ng-template>
                                
                            <a href="javascript:void(0)" (click)="goToJobDetails(job)" class="btn border">View Details</a>

                            <!-- <a href="javascript:void(0)" *ngIf="!isApplied" (click)="applyJob(job)" class="btn border">Apply</a>
                            <p *ngIf="isApplied && !isOffered && (!isAccepted || isDeclined) " class="btn border">Applied</p>
                            <a href="javascript:void(0)" *ngIf="isOffered || isDeclined" (click)="changeStatusOfJob('accept')" class="btn border">Accept</a>
                            <a href="javascript:void(0)" *ngIf="isOffered || isAccepted" (click)="changeStatusOfJob('decline')" class="btn border">Decline</a> -->

                            <!-- <a href="javascript:void(0)"
                              *ngIf="!isApplied  && !isOffered && !isAccepted && !isDeclined " (click)="jobApply()"
                              class="btn border">Apply</a>

                            <p *ngIf="isApplied && !isOffered && !isAccepted && !isDeclined" class="btn border">Applied
                            </p>
                            
                            <a href="javascript:void(0)" *ngIf=" isOffered && !isDeclined && !isAccepted" (click)="changeStatusOfJob('accept')" class="btn border">Accept</a>
                            
                            <a href="javascript:void(0)" *ngIf=" isOffered && !isDeclined" (click)="changeStatusOfJob('decline')" class="btn border">Decline</a> -->
                        </div>
                    </div>
                  </div>
                  <pagination [totalItems]="nearbyTotal" [itemsPerPage]="nearbyPerPage" [(ngModel)]="nearbyPageNo" [maxSize]="maxPaginationSize" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedDataNearby($event)" class="pagination-sm justify-content-center" [disabled]="dataNearByFetching"></pagination>
                  <p class="fs16 fw600 mb-2">Other Jobs</p>
                  <div class="other job-sections col-md-12 p-0" *ngIf="searchedData && searchedData.outSideJobs && searchedData.outSideJobs.results.length; else noOutsideSearchDataFound">
                    <div class="shadow-box" *ngFor="let job of searchedData.outSideJobs.results">
                        <div class="acrdn-cont-inr">
                            <div class="row">
                                <div class="col-6">
                                    <p>
                                        <strong>Job Role</strong>
                                        <span>{{job.jobDetails.roleWiseAction.roleName | titlecase}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Job Type</strong>
                                        <span>{{job.jobDetails.jobType | titlecase}}</span>
                                    </p>
                                </div>
                                <div class="col-12">
                                    <p>
                                        <strong>Location</strong>
                                        <!-- <span *ngIf="job.formattedAddress">{{job.formattedAddress}}</span> -->
                                        <span>{{job.locationName}}</span>
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="emp-candi-btnset"> 
                            <!-- applied -->
                            <a href="javascript:void(0)" (click)="stricktoApply(job)" class="btn border" *ngIf="!job.applied; else alreadyApplied">Apply</a>
                            <ng-template #alreadyApplied>
                                <a href="javascript:void(0)" class="btn border">Applied</a>
                            </ng-template>                            
                            <a href="javascript:void(0)" (click)="goToJobDetails(job)" class="btn border">View Details</a>
                        </div>
                    </div>
                  </div>
                  <pagination [totalItems]="outsideTotal" [itemsPerPage]="outsidePerPage" [(ngModel)]="outsidePageNo" [maxSize]="maxPaginationSize" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedDataOutside($event)" class="pagination-sm justify-content-center" [disabled]="dataOutSideFetching"></pagination>


              </div>
              <ng-template #noNearbySearchDataFound>
                <!-- <div class="cont-login"> -->
                <div class="shadow-box">
                    <div class="acrdn-cont-inr">
                        <div class="row">
                            <div class="col-12">
                              <p class="text-center m-0">
                                <strong *ngIf="!dataNearByFetching; else isNearbyFetchingData">
                                  No Data Found. Please try <a [routerLink]="['/candidate/job/search']" >Searching</a> again.
                                </strong>
                                <ng-template #isNearbyFetchingData>
                                  <strong class="d-inline-flex align-items-center">
                                    <span class="d-inline-block mr-2">
                                        <mat-spinner diameter="20">
                                        </mat-spinner>
                                    </span>
                                    Please wait while we are Loading your Data.
                                  </strong>
                                </ng-template>

                              </p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- </div> -->
              </ng-template>
              <ng-template #noOutsideSearchDataFound>
                <!-- <div class="cont-login"> -->
                <div class="shadow-box">
                    <div class="acrdn-cont-inr">
                        <div class="row">
                            <div class="col-12">
                              <p class="text-center m-0">
                                <strong *ngIf="!dataOutSideFetching; else isOutsideFetchingData">
                                  No Data Found. Please try <a [routerLink]="['/candidate/job/search']" >Searching</a> again.
                                </strong>
                                <!-- <strong *ngIf="!dataOutSideFetching; else isOutsideFetchingData">
                                  No Data Found. Please try <a [routerLink]="['/candidate/job/search']" >Searching</a> again.
                                </strong> -->
                                <ng-template #isOutsideFetchingData>
                                  <strong class="d-inline-flex align-items-center">
                                    <span class="d-inline-block mr-2">
                                        <mat-spinner diameter="20">
                                        </mat-spinner>
                                    </span>
                                    Please wait while we are Loading your Data.
                                  </strong>
                                </ng-template>

                              </p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- </div> -->
              </ng-template>

          </div>
      </div>
  </div>
</div>